﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="View.ascx.vb" Inherits="BrandonHaynes.DotNetNukeResXBuildProvider.LocalizationModule.View" %>

<style type="text/css">
	.BrandonHaynesLocalizationSample .title { width: 12em; }
	.BrandonHaynesLocalizationSample .heading { padding-top: 1em; }
	.BrandonHaynesLocalizationSample .input { padding-top: 1em; padding-bottom: 1em; }
</style>

<div class="BrandonHaynesLocalizationSample Normal">
	<div>
		<span class="title">Page culture:</span>
		<asp:Label ID="CurrentCulture" runat="server" />
	</div>

	<fieldset class="heading">
		<legend>Strongly-Typed Localization (Resources.GlobalResources.Error_Text)</legend>
		<div>
			<span class="title">With current culture:</span>
			<asp:TextBox ID="StronglyTypedCurrentValue" runat="server" />
		</div>

		<div>
			<span class="title">en-US: </span>
			<asp:TextBox ID="StronglyTypedEnUsValue" runat="server" />
		</div>

		<div>
			<span class="title">en-GB: </span>
			<asp:TextBox ID="StronglyTypedEnUkValue" runat="server" />
		</div>

		<div>
			<span class="title">de-DE: </span>
			<asp:TextBox ID="StronglyTypedDeDeValue" runat="server" />
		</div>

		<div>
			<span class="title">de: </span>
			<asp:TextBox ID="StronglyTypedDeValue" runat="server" />
		</div>
	</fieldset>

	<fieldset class="heading">
		<legend>GetString Localization (Resources.GlobalResources.ResourceManager.GetString):</legend>

		<div class="Input">
			Enter a resource string:
			<asp:Textbox id="ASPNETResourceName" runat="server" Text="Error.Text" />
			<asp:Button ID="Button1" Text="Update" runat="server" />
			<br />
			(e.g.; MESSAGE_REGISTRATION_INSTRUCTIONS.Text, EMAIL_PORTAL_SIGNUP_BODY.Text, etc.)
		</div>
		<div>
			<span class="title">With current culture: </span>
			<asp:TextBox ID="GetStringCurrentValue" runat="server" />
		</div>

		<div>
			<span class="title">en-US: </span>
			<asp:TextBox ID="GetStringEnUsValue" runat="server" />
		</div>

		<div>
			<span class="title">en-GB: </span>
			<asp:TextBox ID="GetStringEnUkValue" runat="server" />
		</div>

		<div>
			<span class="title">de-DE: </span>
			<asp:TextBox ID="GetStringDeDeValue" runat="server" />
		</div>

		<div>
			<span class="title">de: </span>
			<asp:TextBox ID="GetStringDeValue" runat="server" />
		</div>
	</fieldset>


	<fieldset class="heading">
		<legend>DotNetNuke Localization:</legend>

		<div class="Input">
			Enter a resource string:
			<asp:Textbox id="DNNResourceName" runat="server" Text="Error" />
			<asp:Button ID="Button2" Text="Update" runat="server" />
			<br />
			(e.g.; MESSAGE_REGISTRATION_INSTRUCTIONS.Text, EMAIL_PORTAL_SIGNUP_BODY.Text, etc.)
		</div>
		<div>
			<span class="title">With current culture: </span>
			<asp:TextBox ID="DNNCurrentValue" runat="server" />
		</div>

		<div>
			<span class="title">en-US: </span>
			<asp:TextBox ID="DNNEnUsValue" runat="server" />
		</div>

		<div>
			<span class="title">en-GB: </span>
			<asp:TextBox ID="DNNEnUkValue" runat="server" />
		</div>

		<div>
			<span class="title">de-DE: </span>
			<asp:TextBox ID="DNNDeDeValue" runat="server" />
		</div>

		<div>
			<span class="title">de: </span>
			<asp:TextBox ID="DNNDeValue" runat="server" />
		</div>
	</fieldset>


	<fieldset class="heading">
		<legend>meta:ResourceKey Localization:</legend>

		<div>
			<span class="title">With current culture: </span>
			<asp:Label ID="MetaValue" runat="server" meta:resourcekey="MetaValue" Text="[Value not localized]" />
		</div>
	</fieldset>
</div>